org.apache.coyote.ajp

## Class Constants

- java.lang.Object
- - org.apache.coyote.ajp.Constants

    public final class Constants
    extends Object

Constants.

Author:
  Remy Maucherat

### Field Summary

Fields
`static byte[]` `_200_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `_400_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `_404_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static byte` `a` Deprecated. Unused - will be removed in 8.0.x
`static byte` `A` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `ACK_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static int` `BUFFERED_FILTER` Deprecated. Unused - will be removed in 8.0.x
`static String` `CHUNKED` Deprecated. Unused - will be removed in 8.0.x
`static int` `CHUNKED_FILTER` Deprecated. Unused - will be removed in 8.0.x
`static String` `CLOSE` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `CLOSE_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static byte` `COLON` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `COLON_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static String` `CONNECTION` Deprecated. Unused - will be removed in 8.0.x
`static byte` `CR` Deprecated. Unused - will be removed in 8.0.x
`static String` `CRLF` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `CRLF_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static int` `DEFAULT_CONNECTION_LINGER`
`static int` `DEFAULT_CONNECTION_TIMEOUT`
`static int` `DEFAULT_CONNECTION_UPLOAD_TIMEOUT` Deprecated. Unused - will be removed in 8.0.x
`static int` `DEFAULT_HTTP_HEADER_BUFFER_SIZE` Deprecated. Unused - will be removed in 8.0.x
`static boolean` `DEFAULT_TCP_NO_DELAY`
`static boolean` `DEFAULT_USE_SENDFILE` Deprecated. Unused - will be removed in 8.0.x
`static String` `GET` Deprecated. Unused - will be removed in 8.0.x
`static int` `GZIP_FILTER` Deprecated. Unused - will be removed in 8.0.x
`static int` `H_SIZE` Size of basic packet header
`static String` `HEAD` Deprecated. Unused - will be removed in 8.0.x
`static byte` `HT` Deprecated. Unused - will be removed in 8.0.x
`static String` `HTTP_10` Deprecated. Unused - will be removed in 8.0.x
`static String` `HTTP_11` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `HTTP_11_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static int` `IDENTITY_FILTER` Deprecated. Unused - will be removed in 8.0.x
`static byte` `JK_AJP13_CPING_REQUEST`
`static byte` `JK_AJP13_CPONG_REPLY`
`static byte` `JK_AJP13_END_RESPONSE`
`static byte` `JK_AJP13_FORWARD_REQUEST`
`static byte` `JK_AJP13_GET_BODY_CHUNK`
`static byte` `JK_AJP13_PING_REQUEST`
`static byte` `JK_AJP13_SEND_BODY_CHUNK`
`static byte` `JK_AJP13_SEND_HEADERS`
`static byte` `JK_AJP13_SHUTDOWN`
`static String` `KEEPALIVE` Deprecated. Unused - will be removed in 8.0.x
`static byte[]` `KEEPALIVE_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static byte` `LC_OFFSET` Deprecated. Unused - will be removed in 8.0.x
`static byte` `LF` Deprecated. Unused - will be removed in 8.0.x
`static int` `MAX_PACKET_SIZE` Default maximum total byte size for a AJP packet
`static int` `MAX_READ_SIZE` Default maximum size of data that can be sent in one packet
`static int` `MAX_SEND_SIZE`
`static String` `Package` Package name.
`static String` `POST` Deprecated. Unused - will be removed in 8.0.x
`static byte` `QUESTION` Deprecated. Unused - will be removed in 8.0.x
`static int` `READ_HEAD_LEN` Size of the header metadata
`static byte` `SC_A_ARE_DONE`
`static byte` `SC_A_AUTH_TYPE`
`static byte` `SC_A_CONTEXT`
`static byte` `SC_A_JVM_ROUTE`
`static byte` `SC_A_QUERY_STRING`
`static byte` `SC_A_REMOTE_USER`
`static byte` `SC_A_REQ_ATTRIBUTE`
`static String` `SC_A_REQ_REMOTE_PORT` AJP private request attributes
`static byte` `SC_A_SECRET`
`static byte` `SC_A_SERVLET_PATH`
`static byte` `SC_A_SSL_CERT`
`static byte` `SC_A_SSL_CIPHER`
`static byte` `SC_A_SSL_KEY_SIZE`
`static byte` `SC_A_SSL_KEYSIZE` Deprecated. Unused - will be removed in 8.0.x
`static byte` `SC_A_SSL_SESSION`
`static byte` `SC_A_STORED_METHOD`
`static int` `SC_M_JK_STORED`
`static int` `SC_REQ_ACCEPT`
`static int` `SC_REQ_ACCEPT_CHARSET`
`static int` `SC_REQ_ACCEPT_ENCODING`
`static int` `SC_REQ_ACCEPT_LANGUAGE`
`static int` `SC_REQ_AUTHORIZATION`
`static int` `SC_REQ_CONNECTION`
`static int` `SC_REQ_CONTENT_LENGTH`
`static int` `SC_REQ_CONTENT_TYPE`
`static int` `SC_REQ_COOKIE`
`static int` `SC_REQ_COOKIE2`
`static int` `SC_REQ_HOST`
`static int` `SC_REQ_PRAGMA`
`static int` `SC_REQ_REFERER`
`static int` `SC_REQ_USER_AGENT`
`static int` `SC_RESP_AJP13_MAX`
`static int` `SC_RESP_CONTENT_LANGUAGE`
`static int` `SC_RESP_CONTENT_LENGTH`
`static int` `SC_RESP_CONTENT_TYPE`
`static int` `SC_RESP_DATE`
`static int` `SC_RESP_LAST_MODIFIED`
`static int` `SC_RESP_LOCATION`
`static int` `SC_RESP_SERVLET_ENGINE`
`static int` `SC_RESP_SET_COOKIE`
`static int` `SC_RESP_SET_COOKIE2`
`static int` `SC_RESP_STATUS`
`static int` `SC_RESP_WWW_AUTHENTICATE`
`static int` `SEND_HEAD_LEN`
`static byte[]` `SERVER_BYTES` Deprecated. Unused - will be removed in 8.0.x
`static byte` `SP` Deprecated. Unused - will be removed in 8.0.x
`static String` `TRANSFERENCODING` Deprecated. Unused - will be removed in 8.0.x
`static int` `VOID_FILTER` Deprecated. Unused - will be removed in 8.0.x
`static byte` `Z` Deprecated. Unused - will be removed in 8.0.x

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

Methods
`static String` `getHeaderForCode(int code)` Converts an AJP coded HTTP request header to the header name.
`static String` `getMethodForCode(int code)` Converts an AJP coded HTTP method to the method name.
`static int` `getResponseAjpIndex(String header)`
`static String` `getResponseHeaderForCode(int code)` Converts an AJP coded response header name to the HTTP response header name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Package

    public static final String Package

Package name.

See Also:
  Constant Field Values

#### DEFAULT_CONNECTION_LINGER

    public static final int DEFAULT_CONNECTION_LINGER

See Also:
  Constant Field Values

#### DEFAULT_CONNECTION_TIMEOUT

    public static final int DEFAULT_CONNECTION_TIMEOUT

See Also:
  Constant Field Values

#### DEFAULT_CONNECTION_UPLOAD_TIMEOUT

    @Deprecated
    public static final int DEFAULT_CONNECTION_UPLOAD_TIMEOUT

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### DEFAULT_TCP_NO_DELAY

    public static final boolean DEFAULT_TCP_NO_DELAY

See Also:
  Constant Field Values

#### DEFAULT_USE_SENDFILE

    @Deprecated
    public static final boolean DEFAULT_USE_SENDFILE

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### JK_AJP13_FORWARD_REQUEST

    public static final byte JK_AJP13_FORWARD_REQUEST

See Also:
  Constant Field Values

#### JK_AJP13_SHUTDOWN

    public static final byte JK_AJP13_SHUTDOWN

See Also:
  Constant Field Values

#### JK_AJP13_PING_REQUEST

    public static final byte JK_AJP13_PING_REQUEST

See Also:
  Constant Field Values

#### JK_AJP13_CPING_REQUEST

    public static final byte JK_AJP13_CPING_REQUEST

See Also:
  Constant Field Values

#### JK_AJP13_SEND_BODY_CHUNK

    public static final byte JK_AJP13_SEND_BODY_CHUNK

See Also:
  Constant Field Values

#### JK_AJP13_SEND_HEADERS

    public static final byte JK_AJP13_SEND_HEADERS

See Also:
  Constant Field Values

#### JK_AJP13_END_RESPONSE

    public static final byte JK_AJP13_END_RESPONSE

See Also:
  Constant Field Values

#### JK_AJP13_GET_BODY_CHUNK

    public static final byte JK_AJP13_GET_BODY_CHUNK

See Also:
  Constant Field Values

#### JK_AJP13_CPONG_REPLY

    public static final byte JK_AJP13_CPONG_REPLY

See Also:
  Constant Field Values

#### SC_RESP_CONTENT_TYPE

    public static final int SC_RESP_CONTENT_TYPE

See Also:
  Constant Field Values

#### SC_RESP_CONTENT_LANGUAGE

    public static final int SC_RESP_CONTENT_LANGUAGE

See Also:
  Constant Field Values

#### SC_RESP_CONTENT_LENGTH

    public static final int SC_RESP_CONTENT_LENGTH

See Also:
  Constant Field Values

#### SC_RESP_DATE

    public static final int SC_RESP_DATE

See Also:
  Constant Field Values

#### SC_RESP_LAST_MODIFIED

    public static final int SC_RESP_LAST_MODIFIED

See Also:
  Constant Field Values

#### SC_RESP_LOCATION

    public static final int SC_RESP_LOCATION

See Also:
  Constant Field Values

#### SC_RESP_SET_COOKIE

    public static final int SC_RESP_SET_COOKIE

See Also:
  Constant Field Values

#### SC_RESP_SET_COOKIE2

    public static final int SC_RESP_SET_COOKIE2

See Also:
  Constant Field Values

#### SC_RESP_SERVLET_ENGINE

    public static final int SC_RESP_SERVLET_ENGINE

See Also:
  Constant Field Values

#### SC_RESP_STATUS

    public static final int SC_RESP_STATUS

See Also:
  Constant Field Values

#### SC_RESP_WWW_AUTHENTICATE

    public static final int SC_RESP_WWW_AUTHENTICATE

See Also:
  Constant Field Values

#### SC_RESP_AJP13_MAX

    public static final int SC_RESP_AJP13_MAX

See Also:
  Constant Field Values

#### SC_A_CONTEXT

    public static final byte SC_A_CONTEXT

See Also:
  Constant Field Values

#### SC_A_SERVLET_PATH

    public static final byte SC_A_SERVLET_PATH

See Also:
  Constant Field Values

#### SC_A_REMOTE_USER

    public static final byte SC_A_REMOTE_USER

See Also:
  Constant Field Values

#### SC_A_AUTH_TYPE

    public static final byte SC_A_AUTH_TYPE

See Also:
  Constant Field Values

#### SC_A_QUERY_STRING

    public static final byte SC_A_QUERY_STRING

See Also:
  Constant Field Values

#### SC_A_JVM_ROUTE

    public static final byte SC_A_JVM_ROUTE

See Also:
  Constant Field Values

#### SC_A_SSL_CERT

    public static final byte SC_A_SSL_CERT

See Also:
  Constant Field Values

#### SC_A_SSL_CIPHER

    public static final byte SC_A_SSL_CIPHER

See Also:
  Constant Field Values

#### SC_A_SSL_SESSION

    public static final byte SC_A_SSL_SESSION

See Also:
  Constant Field Values

#### SC_A_SSL_KEYSIZE

    @Deprecated
    public static final byte SC_A_SSL_KEYSIZE

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### SC_A_SSL_KEY_SIZE

    public static final byte SC_A_SSL_KEY_SIZE

See Also:
  Constant Field Values

#### SC_A_SECRET

    public static final byte SC_A_SECRET

See Also:
  Constant Field Values

#### SC_A_STORED_METHOD

    public static final byte SC_A_STORED_METHOD

See Also:
  Constant Field Values

#### SC_A_REQ_ATTRIBUTE

    public static final byte SC_A_REQ_ATTRIBUTE

See Also:
  Constant Field Values

#### SC_A_REQ_REMOTE_PORT

    public static final String SC_A_REQ_REMOTE_PORT

AJP private request attributes

See Also:
  Constant Field Values

#### SC_A_ARE_DONE

    public static final byte SC_A_ARE_DONE

See Also:
  Constant Field Values

#### MAX_PACKET_SIZE

    public static final int MAX_PACKET_SIZE

Default maximum total byte size for a AJP packet

See Also:
  Constant Field Values

#### H_SIZE

    public static final int H_SIZE

Size of basic packet header

See Also:
  Constant Field Values

#### READ_HEAD_LEN

    public static final int READ_HEAD_LEN

Size of the header metadata

See Also:
  Constant Field Values

#### SEND_HEAD_LEN

    public static final int SEND_HEAD_LEN

See Also:
  Constant Field Values

#### MAX_READ_SIZE

    public static final int MAX_READ_SIZE

Default maximum size of data that can be sent in one packet

See Also:
  Constant Field Values

#### MAX_SEND_SIZE

    public static final int MAX_SEND_SIZE

See Also:
  Constant Field Values

#### SC_M_JK_STORED

    public static final int SC_M_JK_STORED

See Also:
  Constant Field Values

#### SC_REQ_ACCEPT

    public static final int SC_REQ_ACCEPT

See Also:
  Constant Field Values

#### SC_REQ_ACCEPT_CHARSET

    public static final int SC_REQ_ACCEPT_CHARSET

See Also:
  Constant Field Values

#### SC_REQ_ACCEPT_ENCODING

    public static final int SC_REQ_ACCEPT_ENCODING

See Also:
  Constant Field Values

#### SC_REQ_ACCEPT_LANGUAGE

    public static final int SC_REQ_ACCEPT_LANGUAGE

See Also:
  Constant Field Values

#### SC_REQ_AUTHORIZATION

    public static final int SC_REQ_AUTHORIZATION

See Also:
  Constant Field Values

#### SC_REQ_CONNECTION

    public static final int SC_REQ_CONNECTION

See Also:
  Constant Field Values

#### SC_REQ_CONTENT_TYPE

    public static final int SC_REQ_CONTENT_TYPE

See Also:
  Constant Field Values

#### SC_REQ_CONTENT_LENGTH

    public static final int SC_REQ_CONTENT_LENGTH

See Also:
  Constant Field Values

#### SC_REQ_COOKIE

    public static final int SC_REQ_COOKIE

See Also:
  Constant Field Values

#### SC_REQ_COOKIE2

    public static final int SC_REQ_COOKIE2

See Also:
  Constant Field Values

#### SC_REQ_HOST

    public static final int SC_REQ_HOST

See Also:
  Constant Field Values

#### SC_REQ_PRAGMA

    public static final int SC_REQ_PRAGMA

See Also:
  Constant Field Values

#### SC_REQ_REFERER

    public static final int SC_REQ_REFERER

See Also:
  Constant Field Values

#### SC_REQ_USER_AGENT

    public static final int SC_REQ_USER_AGENT

See Also:
  Constant Field Values

#### CRLF

    @Deprecated
    public static final String CRLF

Deprecated. Unused - will be removed in 8.0.x
CRLF.

See Also:
  Constant Field Values

#### SERVER_BYTES

    @Deprecated
    public static final byte[] SERVER_BYTES

Deprecated. Unused - will be removed in 8.0.x
Server string.

#### CR

    @Deprecated
    public static final byte CR

Deprecated. Unused - will be removed in 8.0.x
CR.

See Also:
  Constant Field Values

#### LF

    @Deprecated
    public static final byte LF

Deprecated. Unused - will be removed in 8.0.x
LF.

See Also:
  Constant Field Values

#### SP

    @Deprecated
    public static final byte SP

Deprecated. Unused - will be removed in 8.0.x
SP.

See Also:
  Constant Field Values

#### HT

    @Deprecated
    public static final byte HT

Deprecated. Unused - will be removed in 8.0.x
HT.

See Also:
  Constant Field Values

#### COLON

    @Deprecated
    public static final byte COLON

Deprecated. Unused - will be removed in 8.0.x
COLON.

See Also:
  Constant Field Values

#### A

    @Deprecated
    public static final byte A

Deprecated. Unused - will be removed in 8.0.x
'A'.

See Also:
  Constant Field Values

#### a

    @Deprecated
    public static final byte a

Deprecated. Unused - will be removed in 8.0.x
'a'.

See Also:
  Constant Field Values

#### Z

    @Deprecated
    public static final byte Z

Deprecated. Unused - will be removed in 8.0.x
'Z'.

See Also:
  Constant Field Values

#### QUESTION

    @Deprecated
    public static final byte QUESTION

Deprecated. Unused - will be removed in 8.0.x
'?'.

See Also:
  Constant Field Values

#### LC_OFFSET

    @Deprecated
    public static final byte LC_OFFSET

Deprecated. Unused - will be removed in 8.0.x
Lower case offset.

See Also:
  Constant Field Values

#### DEFAULT_HTTP_HEADER_BUFFER_SIZE

    @Deprecated
    public static final int DEFAULT_HTTP_HEADER_BUFFER_SIZE

Deprecated. Unused - will be removed in 8.0.x
Default HTTP header buffer size.

See Also:
  Constant Field Values

#### CRLF_BYTES

    @Deprecated
    public static final byte[] CRLF_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### COLON_BYTES

    @Deprecated
    public static final byte[] COLON_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### CONNECTION

    @Deprecated
    public static final String CONNECTION

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### CLOSE

    @Deprecated
    public static final String CLOSE

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### CLOSE_BYTES

    @Deprecated
    public static final byte[] CLOSE_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### KEEPALIVE

    @Deprecated
    public static final String KEEPALIVE

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### KEEPALIVE_BYTES

    @Deprecated
    public static final byte[] KEEPALIVE_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### CHUNKED

    @Deprecated
    public static final String CHUNKED

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### ACK_BYTES

    @Deprecated
    public static final byte[] ACK_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### TRANSFERENCODING

    @Deprecated
    public static final String TRANSFERENCODING

Deprecated. Unused - will be removed in 8.0.x

See Also:
  Constant Field Values

#### _200_BYTES

    @Deprecated
    public static final byte[] _200_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### _400_BYTES

    @Deprecated
    public static final byte[] _400_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### _404_BYTES

    @Deprecated
    public static final byte[] _404_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### IDENTITY_FILTER

    @Deprecated
    public static final int IDENTITY_FILTER

Deprecated. Unused - will be removed in 8.0.x
Identity filters (input and output).

See Also:
  Constant Field Values

#### CHUNKED_FILTER

    @Deprecated
    public static final int CHUNKED_FILTER

Deprecated. Unused - will be removed in 8.0.x
Chunked filters (input and output).

See Also:
  Constant Field Values

#### VOID_FILTER

    @Deprecated
    public static final int VOID_FILTER

Deprecated. Unused - will be removed in 8.0.x
Void filters (input and output).

See Also:
  Constant Field Values

#### GZIP_FILTER

    @Deprecated
    public static final int GZIP_FILTER

Deprecated. Unused - will be removed in 8.0.x
GZIP filter (output).

See Also:
  Constant Field Values

#### BUFFERED_FILTER

    @Deprecated
    public static final int BUFFERED_FILTER

Deprecated. Unused - will be removed in 8.0.x
Buffered filter (input)

See Also:
  Constant Field Values

#### HTTP_10

    @Deprecated
    public static final String HTTP_10

Deprecated. Unused - will be removed in 8.0.x
HTTP/1.0.

See Also:
  Constant Field Values

#### HTTP_11

    @Deprecated
    public static final String HTTP_11

Deprecated. Unused - will be removed in 8.0.x
HTTP/1.1.

See Also:
  Constant Field Values

#### HTTP_11_BYTES

    @Deprecated
    public static final byte[] HTTP_11_BYTES

Deprecated. Unused - will be removed in 8.0.x

#### GET

    @Deprecated
    public static final String GET

Deprecated. Unused - will be removed in 8.0.x
GET.

See Also:
  Constant Field Values

#### HEAD

    @Deprecated
    public static final String HEAD

Deprecated. Unused - will be removed in 8.0.x
HEAD.

See Also:
  Constant Field Values

#### POST

    @Deprecated
    public static final String POST

Deprecated. Unused - will be removed in 8.0.x
POST.

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()

### Method Detail

#### getMethodForCode

    public static final String getMethodForCode(int code)

Converts an AJP coded HTTP method to the method name.

Parameters:
  `code` - the coded value
Returns:
  the string value of the method

#### getHeaderForCode

    public static final String getHeaderForCode(int code)

Converts an AJP coded HTTP request header to the header name.

Parameters:
  `code` - the coded value
Returns:
  the string value of the header name

#### getResponseHeaderForCode

    public static final String getResponseHeaderForCode(int code)

Converts an AJP coded response header name to the HTTP response header name.

Parameters:
  `code` - the coded value
Returns:
  the string value of the header

#### getResponseAjpIndex

    public static final int getResponseAjpIndex(String header)